Create/Update Company
post
/cloudapi/restapi/v3/user/companies/add-list
This operation enables you to create and modify Company records. The operation creates a company if a matching company does not exist in the system or modifies the company if a match is found. Any new roles provided under the roles attribute are provisioned for the company by the operation. If successful, this operation returns a company data store containing processed records and status information.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : CompanyDataStore
Type:
objectTitle:
CompanyDataStoreCompany create, update, delete request payload and result.
Show Source
-
added: array
List<CompanyRO>
Title:
List<CompanyRO>Companies to create. -
deleted: array
List<string>
Title:
List<string>Company identifiers to delete. -
deleteFailed: array
List<CompanyRO>
Title:
List<CompanyRO>Companies that failed delete processing. -
exception: string
Title:
exceptionError key or message returned when processing fails. -
localizedException: boolean
Title:
localizedExceptionIndicates whether exception messages are localization keys. -
message: string
Title:
messageAdditional status message for the request. -
modified: array
List<CompanyRO>
Title:
List<CompanyRO>Companies to update. -
updatedIdMap: object
updatedIdMap
Title:
updatedIdMapAdditional Properties Allowed: additionalPropertiesMapping of original company identifiers to updated identifiers.
Nested Schema : List<CompanyRO>
Type:
arrayTitle:
List<CompanyRO>Companies to create.
Show Source
-
Array of:
object CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Company identifiers to delete.
Show Source
Nested Schema : List<CompanyRO>
Type:
arrayTitle:
List<CompanyRO>Companies that failed delete processing.
Show Source
-
Array of:
object CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs.
Nested Schema : List<CompanyRO>
Type:
arrayTitle:
List<CompanyRO>Companies to update.
Show Source
-
Array of:
object CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs.
Nested Schema : updatedIdMap
Type:
objectTitle:
updatedIdMapAdditional Properties Allowed
Show Source
-
string
Mapping of original company identifiers to updated identifiers.
Mapping of original company identifiers to updated identifiers.
Nested Schema : CompanyRO
Type:
objectTitle:
CompanyROCompany or organization record used by Cloud Administration APIs.
Show Source
-
associations: array
List<string>
Title:
List<string>Unique Items Required:trueRole or product associations for the company. -
bidderCompany: boolean
Title:
bidderCompanyIndicates whether the company is a bidder company. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created the company. -
createdDate: string
(date-time)
Title:
createdDateRead Only:trueDate and time when the company was created. -
displayName(required): string
Title:
displayNameDisplay name for the company. -
id(required): string
Title:
idInternal company identifier. -
inheritedPolicy: boolean
Title:
inheritedPolicyIndicates whether the password policy is inherited from a parent company. -
isDeletable: boolean
Title:
isDeletableRead Only:trueIndicates whether the company can be deleted. -
name(required): string
Title:
nameCompany name. -
parentId: string
Title:
parentIdIdentifier of the parent company. -
parentName: string
Title:
parentNameName of the parent company. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the company record has been processed. -
pwdPolicy: object
ShortPasswordPolicyRO
Title:
ShortPasswordPolicyROSummary password policy associated with a company. -
status: string
Title:
statusCompany status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update requests. -
type: string
Title:
typeCompany type. -
updatedBy: string
Title:
updatedByRead Only:trueUser or process that last updated the company. -
updatedDate: string
(date-time)
Title:
updatedDateRead Only:trueDate and time when the company was last updated.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Unique Items Required:
trueRole or product associations for the company.
Show Source
-
Array of:
string
Role or product associations for the company.
Nested Schema : ShortPasswordPolicyRO
Type:
objectTitle:
ShortPasswordPolicyROSummary password policy associated with a company.
Show Source
-
id: string
Title:
idPassword policy identifier. -
name(required): string
Title:
namePassword policy name.
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
successful operation
Root Schema : CompanyDataStore
Type:
objectTitle:
CompanyDataStoreCompany create, update, delete request payload and result.
Show Source
-
added: array
List<CompanyRO>
Title:
List<CompanyRO>Companies to create. -
deleted: array
List<string>
Title:
List<string>Company identifiers to delete. -
deleteFailed: array
List<CompanyRO>
Title:
List<CompanyRO>Companies that failed delete processing. -
exception: string
Title:
exceptionError key or message returned when processing fails. -
localizedException: boolean
Title:
localizedExceptionIndicates whether exception messages are localization keys. -
message: string
Title:
messageAdditional status message for the request. -
modified: array
List<CompanyRO>
Title:
List<CompanyRO>Companies to update. -
updatedIdMap: object
updatedIdMap
Title:
updatedIdMapAdditional Properties Allowed: additionalPropertiesMapping of original company identifiers to updated identifiers.
Nested Schema : List<CompanyRO>
Type:
arrayTitle:
List<CompanyRO>Companies to create.
Show Source
-
Array of:
object CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Company identifiers to delete.
Show Source
Nested Schema : List<CompanyRO>
Type:
arrayTitle:
List<CompanyRO>Companies that failed delete processing.
Show Source
-
Array of:
object CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs.
Nested Schema : List<CompanyRO>
Type:
arrayTitle:
List<CompanyRO>Companies to update.
Show Source
-
Array of:
object CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs.
Nested Schema : updatedIdMap
Type:
objectTitle:
updatedIdMapAdditional Properties Allowed
Show Source
-
string
Mapping of original company identifiers to updated identifiers.
Mapping of original company identifiers to updated identifiers.
Nested Schema : CompanyRO
Type:
objectTitle:
CompanyROCompany or organization record used by Cloud Administration APIs.
Show Source
-
associations: array
List<string>
Title:
List<string>Unique Items Required:trueRole or product associations for the company. -
bidderCompany: boolean
Title:
bidderCompanyIndicates whether the company is a bidder company. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created the company. -
createdDate: string
(date-time)
Title:
createdDateRead Only:trueDate and time when the company was created. -
displayName(required): string
Title:
displayNameDisplay name for the company. -
id(required): string
Title:
idInternal company identifier. -
inheritedPolicy: boolean
Title:
inheritedPolicyIndicates whether the password policy is inherited from a parent company. -
isDeletable: boolean
Title:
isDeletableRead Only:trueIndicates whether the company can be deleted. -
name(required): string
Title:
nameCompany name. -
parentId: string
Title:
parentIdIdentifier of the parent company. -
parentName: string
Title:
parentNameName of the parent company. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the company record has been processed. -
pwdPolicy: object
ShortPasswordPolicyRO
Title:
ShortPasswordPolicyROSummary password policy associated with a company. -
status: string
Title:
statusCompany status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update requests. -
type: string
Title:
typeCompany type. -
updatedBy: string
Title:
updatedByRead Only:trueUser or process that last updated the company. -
updatedDate: string
(date-time)
Title:
updatedDateRead Only:trueDate and time when the company was last updated.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Unique Items Required:
trueRole or product associations for the company.
Show Source
-
Array of:
string
Role or product associations for the company.
Nested Schema : ShortPasswordPolicyRO
Type:
objectTitle:
ShortPasswordPolicyROSummary password policy associated with a company.
Show Source
-
id: string
Title:
idPassword policy identifier. -
name(required): string
Title:
namePassword policy name.
400 Response
Invalid input, Please check.
500 Response
Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.